<?php include('fncr-geral/configuracao_geral.php');
header('Access-Control-Allow-Methods: GET, POST, PUT');

$sql_clubes = $bd->getConexao()->prepare('
SELECT * FROM clubes_configuracao
WHERE
  link_sistema is not null AND bd is not null AND bd_usuario is not null AND bd_senha is not null AND
  link_sistema != "" AND bd != "" AND bd_usuario != "" AND bd_senha != ""
ORDER BY id ASC');
if($sql_clubes->execute()){$resul_clubes = $sql_clubes->fetchall(PDO::FETCH_ASSOC);}


// *********** VARIÁVEIS PARA PESQUISA ***********
$qtd_jogadores = 0;


// *********** PESQUISA NOS SISTEMAS ***********
$limite = 100;
$i = 1;
foreach($resul_clubes as $l){
if($i<=$limite){

  $clube_host = $host_bd;
  $clube_bd = $l['bd'];
  $clube_bd_usuario = $l['bd_usuario'];
  $clube_bd_senha = $l['bd_senha'];

  if($l['bd_host']!=""){$clube_host = $l['bd_host'];}
  $clube_dsn = 'mysql:host='.$clube_host.';dbname='.$l['bd'];;

  try{
    $bdclube = new ConeccaoClube();
    $sql = $bdclube->getConexao()->prepare('SELECT * FROM clientes WHERE excluido = 0');
    if($sql->execute()){$resul_clientes = $sql->fetchall(PDO::FETCH_ASSOC);}

    $qtd_jogadores+=count($resul_clientes);
  }catch(PDOException $e){}

  $bdclube = null;
}
  $i++;
}

echo echoint($qtd_jogadores).' Jogadores Cadastrados em '.$i.' Sistemas';




$bd = null; ?>